Subject: RE: Last Call: <draft-ietf-manet-nhdp-sec-threats-03.txt> (Security Threats for NHDP) to Informational RFC

From: "Adrian Farrel" <[email-masked]>
Date: Thu, 6 Jun 2013 18:29:57 +0100

Hi,
 
It falls to me to make a call on this issue before the document moves on.
 
Abdussalam has complained that he has not been acknowledged and has objected to
the current text in section 8.
The authors have responded on the MANET list
 
> We believe that only comments that lead to significant improvements of
> the draft deserve a listing in the acknowledgment section, and we have
> therefore not modified the section.
 
I have reviewed the email threads on the MANET mailing list and do not consider
that Abdussalam made contributions to the text of the document. I also believe
that the comments he made did not advance the content of the document.
Furthermore, per multiple references (such as RFC 2026) the Acknowledgements
section is used to "properly acknowledge major contributors." Normal IETF
business is to discuss not seek acknowledgement.
 
I do not propose to do an explicit consensus call on whether Abdussalam should
be named in this draft. 
 
The authors have posted a revised I-D handling other IETF last call issues, and
I will advance that to IESG evaluation.
 
Thanks,
Adrian
 
From: Abdussalam Baryun [mailto:[email-masked]] 
Sent: 03 June 2013 17:10
To: ietf
Cc: [email-masked]; [email-masked]
Subject: Re: [manet] Last Call: <draft-ietf-manet-nhdp-sec-threats-03.txt>
(Security Threats for NHDP) to Informational RFC
 
I would hope that IETF add my name in the acknowledgement section of the I-D. I
complained to AD about that my efforts in WGLC was not acknowledged by editors
even after my request, however, I did not stop reviewing (trying not be
discouraged) which I will complete on 6 June with the final comments. Therefore,
this message (can be added as a comment on the I-D) is an objection to section 8
that ignores acknowledge input/review effort related to the I-D.
 
AB
 
On Mon, Jun 3, 2013 at 6:35 AM, Ulrich Herberg <[email-masked]> wrote:
Hi Adrian,
 
I personally agree that adding an informational ref to
draft-ietf-manet-nhdp-olsrv2-sec is a good idea. I will discuss with my
co-authors.
 
Thanks
Ulrich

On Sunday, June 2, 2013, Adrian Farrel wrote:
Hi Abdussalam,

I think it is a reasonable suggestion for this I-D to make a forward reference
to draft-ietf-manet-nhdp-olsrv2-sec
Although this work is clearly scoped to NHDP (RFC 6130) as currently specified,
it is worth an informational reference to note that there is work in progress
that seeks to update NHDP to counter a number of security threats described in
this document.

I do not think, however, that this I-D should attempt to describe the situation
with NHDP after the inclusion of protocol work that has not yet been completed.
Contrary to your suggestion, I think this I-D motivates updates to 6130 and it
would be wrong to review this document in the context of changes being made to
address this document.

Thanks,
Adrian

> I think if we got an effort in IETF to update NHDP [RFC6130] as draft
> [1] does, why this reviewed I-D of threats does not include [1] in its
> references to be reviewed before reviewing this NHDP-threat I-D? I
> suggest to include draft [1] in References section, IMHO, any updates
> to RFC6130 should be considered by the community while reviewing this
> I-D.
>
> [1] draft-ietf-manet-nhdp-olsrv2-sec-02

---

From: Abdussalam Baryun <[email-masked]>
Date: Thu, 6 Jun 2013 21:33:43 +0200

>> therefore not modified the section.

What was the WG decision? Why any contribution that influnces the I-D
ideas is not acknowledged? IMO, if a technical-idea within the I-D was
discovered wrong by a participant, or a new technical-idea added to
I-D from an input, then the I-D should be acknowledged.

> that Abdussalam made contributions to the text of the document.

Didn't that person make review and discovered errors? Why don't you
consider discovering an error as a contribution? Why don't you
consider providing new ideas a contribution? What is your definition
to contribution?

> I also
> believe

So I understand that you need to have advance the content then you acknowledge.

> section is used to "properly acknowledge major contributors.

I am trying to find that condition of *major contribution*,

>" Normal IETF

Ideas, Comments and reviews are included in the discuss for drafts
progress. Seeking acknowledgement is not wrong within IETF, but please
consider *not acknowledging reviews* within IETF documents is not IETF
culture (we are not paid so why you thinking much of the business, the
IETF business will only progress with acknowledging the volunteers).

> I do not propose to do an explicit consensus call on whether Abdussalam

IMO, it should have been done in the WG.

AB

---

From: "Adrian Farrel" <[email-masked]>
Date: Thu, 6 Jun 2013 22:16:50 +0100

Sorry to everyone for the noise this thread is creating.
Multiple questions that I have to answer.

> > Abdussalam has complained that he has not been acknowledged and has
> > objected to the current text in section 8.
> What was the WG decision?

Are you asking whether there was an explicit consensus call within the working
group on whether or not you should be acknowledged in this document?
There was no such call in the working group or on the IETF list.

> Why any contribution that influnces the I-D ideas is not acknowledged?
> IMO, if a technical-idea within the I-D was discovered wrong by a
> participant, or a new technical-idea added to I-D from an input, then
> the I-D should be acknowledged.

This opinion does not apply to your comments on this document. You did not
discover a wrong technical-idea. Your comments did not lead directly to the
addition of any new technical-idea.

> > I have reviewed the email threads on the MANET mailing list and do not
> > consider that Abdussalam made contributions to the text of the document.
> 
> Didn't that person make review and discovered errors?

"That person" is you.
Yes, you made a review. Reviewing a document is not something authors
acknowledge in the IETF or (AFAIK) in academic journals.
No, I don't think you discovered errors of any significance.

Caveating my answers below as describing a contribution to a document (not a
contribution in the wider IETF sense)

> Why don't you consider discovering an error as a contribution?

I would personally consider discovering a major error as something I would
acknowledge it in a document I was editing.
I would personally consider discovering multiple minor errors as something I
would acknowledge it in a document I was editing.

However, there is no requirement for editors to act in that way. Furthermore,
you do not fit into these categories for this document.

> Why don't you consider providing new ideas a contribution?

I would consider providing major ideas as something I would acknowledge it in a
document I was editing.
I would consider providing smaller ideas through text for inclusion in the
document as something I would acknowledge it in a document I was editing.
You do not fit into these categories for this document.

> What is your definition to contribution?

As above, or written text that was included or modified for inclusion in a
document and represents a material or substantial part of the document.

> > I also believe that the comments he made did not advance the
> > content of the document.
> 
> > Furthermore, per multiple references (such as RFC 2026) the
> > Acknowledgements section is used to "properly acknowledge
> > major contributors.
> 

I would borrow from 2026 and 5378 to say a material or substantial contribution
to the document.

And, before you ask, no-one is going to write down a rule that says 139
characters is not substantial, but 140 is.

This is one of the places where a principal of reasonableness applies. I would
know a major contribution if I saw one. I did not see one from you in this case.

> >" Normal IETF business is to discuss not seek acknowledgement.
> 

If you want to change the way that the IETF participants (and document
authors/editors in particular) acknowledge reviews of their documents, then
please start a separate thread or, better still, write an I-D and see whether
you can gain consensus. The last time you brought this topic up on this list, I
do not recall seeing support.

The only reason I can find for someone being able to demand that they are named
in an Acknowledgements Section is for conformance to the IETF's Rights policies.

> > I do not propose to do an explicit consensus call on whether Abdussalam
> > should be named in this draft.
> 

Thank you for your opinion.
Are you asserting that consensus on the readiness of this document for a
publication request was incorrectly called by the working group chairs. This
would be a serious allegation against the chairs and I would require evidence
that there had been no consensus or that they had made an incorrect assessment
of the consensus.

Thank you,
Adrian

---

From: Abdussalam Baryun <[email-masked]>
Date: Sat, 8 Jun 2013 07:50:49 +0200

Dear Routing Area AD,

I had many comments/issues regarding your area always addressed to you
and  including this issue which I hope my all comments (past/present)
will help to make better practice/procedural progresses in this IETF
Area.
I am sorry also to any one receiving this email but I send it only to
an AD, IETF, and IESG. This is not noise but a signal to IETF to
progress, if you think it is noise please explain, and please notice
that all particpants have rights under the IETF procedures not only
managements. My reply below and if you want to continue discussing on
any other list please inform me, but if you reply copying any list, I
will have to do the same because you are part of management and I am
not.

> Sorry to everyone for the noise this thread is creating.

This thread containing my messages never creates noise, I beleive you
may ne refering to your messages only as noise. Please note that I
don't accept this describtion, I think that community messages
regarding any I-D is never noise even if the IETF management could not
handle the volume. I RECOMMEND any receiver that has noise in it to
fix its problem without blaming transmitters.

> Multiple questions that I have to answer.

ok, that is why this list is discussing list for ietf progress,

> group on whether or not you should be acknowledged in this document?

I think the question is clear, and is easy to answer. The answer is,
there was no decision made by the WG or the community regarding my
request of adding a name in the ack section. You send me back a
question saying explicit consensus, it is simpler to make my question
asking of notification of such reaction from management, which was not
either established. I did not get a message saying that any kind of
consensus was established privately/publicly on any IETF lists (please
ask the WG chair because I am sure I did not received any answer for
my request by the WG/community).

> There was no such call in the working group or on the IETF list.

Thanks for the answer, so I understand that the editors/management did
not answer my request (one person from the community), just because
they or AD did not beleive in my concerns without consulting the WG in
any way.

> addition of any new technical-idea.

The question of I-D managers not acknowledging such
input/contribution, was not answered if you agree to acknowledge
discovering an error or adding a new idea. Regarding the opinion, do
you agree with the opinion first? Regarding the error and missing
information, I did discover error in the document and did found
missing definitions if this informational I-D (after my contribution
there was changes made to the document, please notice that)
>> Didn't that person make review and discovered errors?

Yes but I said that because this message it not me defending me, it is
me defending future wrong reaction of ignoring to acknowledge the
persons in the community. If any I-D authors are best knowledgeable
people in a special field they should not try to seek to
dis-acknowledge the community efforts that changed few I-D ideas (even
if the community person is not expert, that does not mean that authors
have right to exclude contributors).

> acknowledge in the IETF or (AFAIK) in academic journals.

I disagree with your opinion, but do you think your opinion is in the
IETF procedure, if yes please provide me with that procedure of not
acknowledgement. I respect your opinion but it is wrong because in one
sense yes documents in the world don't acknowledge all reviews
(usually when they don't request it), one the other hand the world
documents do acknowledge reviews when the document owner calls for
review. Please note that this I-D did request/call for review and I
was the only reveiwer in the WGLC, and my review made the authors
change some ideas.

> No, I don't think you discovered errors of any significance.

My comments and discussions are in the MANET WG. The errors were; 1)
not explaining the word *attack* in I-D version 2 and/or referencing
explainations. 2) wrong explaination of physical communication in
MANET.
Both ideas ware changed please see the two versions of I-D 2 and 3.

Example error idea in the I-D was:
[I-D wrong idea] As wireless radio waves can be captured as well as transmitted
by any wireless device within radio range.
[my discovery contribution]
http://www.ietf.org/mail-archive/web/manet/current/msg15250.html

> contribution in the wider IETF sense)

An IETF I-D contribution is a contribution (don't care about the
editors' beleive of kind of contributions), small, large, substantial,
non-substantial, minor, major, from-expert, not-from-expert,
from-popular, from-non-popular, from-f2f-participant,
from-remote-participant, etc.
> acknowledge it in a document I was editing.

You use word major as if we know what it means. Something minor to you
may be major to someone else don't you think. If your documents if for
experts please mention that in you documents, please know your
audiance/readers. I understand that IETF documents are for ALL the
Internet Community on EARTH. Therefore, the word major/minor is
relative to the reader not writer.

> would acknowledge it in a document I was editing.

Again you say you, I want IETF opinion not editors, I want WG
decisions not your decisions, however, I already waiting for the IESG
decisions on this matter, and I understand that your decision is a one
part of that but not full/final. One error discovery or multiple, both
are contributions and are needed. In our volunteering work if the
work/I-D/RFC has many mistakes we don't blame the editors but the
community, but if the work had no mistake we give all credit to
authors, IMHO, we always should refer to the community in good or bad
outcomes of IETF documents. Therefore acknowledging the parts of
community is important.
>
> However, there is no requirement for editors to act in that way.

No, editors are required to edit/act what the community is seeking,
why are they called editors for the WG? the authority is for the WG
not editors.

> Furthermore,

I do fit, I think you should not decide now, let it to be done through
IETF procedure.

> You do not fit into these categories for this document.

I think I do fit from IETF point of view (maybe not yours). I gave my
discovery of error, and if the editors want text I will give them, it
is a discussion issue between both sides in a WG. Text is not much
important like the idea, the idea is the most important thing in any
organisation. English texting can be another contribution, or proof
readings, but the main contribution is the idea that was changed.

> document and represents a material or substantial part of the document.

the idea is more important than text, if changed sentence idea we
SHOULD acknowledge, if changed sentance text without changing idea we
do not have to acknowledge. So text changing/adding without new-idea
or English correction is not acknowledged im my opinion.

> know a major contribution if I saw one. I did not see one from you in this

I will wait for the IESG decision on that. Major or minor is relative
to the readers not to the writers. You have big experience but that
does not mean you should exclude any minor contribution, I hope you
reconsider that. Some experts don't like to show that non-popular
found their mistakes, but Why thoes experts came to use IETF service
which calls-reviews to all levels of experties to contribute to the
document they author under IETF ownership?

> you can gain consensus.

I know that, but your advise comes back to you also, if you want to
change the community expectations close to your opinions, I advise you
to write an I-D that shows where to exclude participants to IETF
documents.

>The last time you brought this topic up on this
> list, I

Few did not support which were less than 15 persons, because IMO,
there was no evidance of editors seeking to ignore reviewers
contributions. Also, change is difficult any where in any
organisation, so it will take time, IMO, people realise that
participating-experts of IETF are the minority comapared to the
community. I decided to complain any procedure error first and then
write about what happend, so I will wait to see what is the IESG
decision regarding the acknowledgement request. Please note that I
have many procedural I-D in mind but it depends on the right time to
submit it and get support.

> in an Acknowledgements Section is for conformance to the IETF's Rights

My reason is that the truth SHOULD be reflected on the document. If
you are editor I recommend you may say in the section thanks to x for
his minor contribution if that satisfies your WG you work with, but
not to ignore the truth. The truth is that IETF is calling for reviews
from the community mostly not only from companies, and that your
document changed an idea, so you ack.

> that there had been no consensus or that they had made an incorrect

No, I accepted that the I-D goes to IESG only the complaint request of
acknowledgement and the community reviews in IETF-LC. The wg chair
mentioned my complaint in his report. I wait for the IESG decisions
related to this I-D.

Best Regards

Abdussalam Baryun

A Participant working in IETF (subscribed)
A Memebr of Internet Society (registered)

---

From: John E Drake <[email-masked]>
Date: Sat, 8 Jun 2013 13:12:02 +0000

AB,

This may surprise you, but not everyone cares what you think.

John

Sent from my iPhone

---

From: Jiazi Yi <[email-masked]>
Date: Sat, 8 Jun 2013 15:10:40 +0200

Hi, 

As co-editor of this document, I didn't expect the "acknowledgement" issue can result in such long discussion. 

I have to repeat that, the decision regarding the acknowledgment section is made following the instructions from rfc 5378 and rfc 2026. 

We think the facts are:

	o AB made a lot of comments on this draft.
	o The comments made didn't have any major impact to the draft. There were *very* few editorial nits discovered by AB, but not technical contribution - not to mention "major" impact. 

Therefore, I don't see the need of adding AB to the acknowledgment section. 

Ulrich (also co-editor) has sent the same opinion to the manet mailing list. There are a few WG participants showed that they agree with our observation. In the meantime, I didn't see any other WG participant support AB's proposal. 

best

Jiazi